/*

interstellar-electronic-thumb.js

Enables the player to call for help if left without fuel in interstellar space.


Oolite
Copyright © 2004-2011 Giles C Williams and contributors

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
MA 02110-1301, USA.


interstellar_help.oxp
Copyright © 2008-2011 "Commander McLane"

This work is licensed under the Creative Commons
Attribution-Noncommercial-Share Alike 3.0 Unported License.

To view a copy of this license, visit
http://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter
to Creative Commons, 171 Second Street, Suite 300, San Francisco,
California, 94105, USA.

*/

"use strict";
this.name           = "interstellar-electronic-thumb";
this.author         = "Commander McLane";
this.copyright      = "© 2011 Commander McLane";
this.license		= "CC-by-nc-sa 3.0";

this.activated = function()
{
    if(!system.isInterstellarSpace)
    {
        player.consoleMessage("Please don't press this button again.");
        player.consoleMessage("The Electronic Thumb doesn't work inside a system.");
        return;
    }
    if(player.ship.isCloaked)
    {
        player.consoleMessage("Electronic Thumb off-line.");
        player.consoleMessage("Reason: Ship is cloaked. Please decloak first.");
    }
    else
    {
        player.consoleMessage("Electronic Thumb activated.");
        player.consoleMessage("Let's see if you could flag down a ship to your rescue.");
        if(system.countShipsWithPrimaryRole("interstellar_helper") == 0)
            system.addShips("interstellar_helper", 1, player.ship.position.add(Vector3D.randomDirection(27000)));
    }
}
